#!/usr/bin/python
# -*- coding: UTF-8 -*-


import json


from digimon.probe import SystemProbe, CpuProbe


PROBES = {
        'system': SystemProbe(),
        'cpu': CpuProbe(),
    }


def get_json():
    resultdict = {}
    for probe in PROBES:
        resultdict[probe] = PROBES[probe]._data
    return json.dumps(resultdict)
